{ config, lib, pkgs, ... }:

let cfg = config.sydnix.clojure;
in {
  options.sydnix.clojure = {
    enable = lib.mkEnableOption "Clojure";
  };

  config = lib.mkIf cfg.enable {
    sydnix.impermanence.cache.directories = [
      ".m2" # Clojure dependencies.
    ];
  };
}
